# Create Costro App

![GitHub Workflow Status (branch)](https://img.shields.io/github/actions/workflow/status/costrojs/create-costro-app/ci.yml?branch=main&style=for-the-badge)

The easiest way to get started with Costro is to use [`create-costro-app`](https://github.com/costrojs/create-costro-app). This CLI tool lets you quickly start creating a new Costro application, with everything set up for you. You can create a new app using the default Costro template or using one of the [official Costro templates](https://costro.js.org/cli#templates).

To create a new app, use the following command:

```bash
npx create-costro-app my-app
```

## Features

`create-costro-app` lets you create a new Costro app in seconds. It comes with the following features out of the box:

- **Interactive experience**: Running `npx create-costro-app` launches an interactive experience that guides you through setting up a project.
- **100/100 Lighthouse score**: Templates optimized right out of the box ([Lighthouse report](https://googlechrome.github.io/lighthouse/viewer?gist=2623d9bb018f1b7bb5fc58adb66d4d69)).
- **No dependencies**: `create-costro-app` has no dependencies.
- **Ready-to-use template**: The project contains [webpack](https://webpack.js.org), [Babel](https://babeljs.io), [postCSS](https://postcss.org), [ESLint](https://eslint.org), [Prettier](https://prettier.io), [Jest](https://jestjs.io) and [Browserslist](https://github.com/browserslist/browserslist).
- **TypeScript support**: `create-costro-app` provides a [TypeScript template](https://github.com/costrojs/costro-templates/tree/main/templates/typescript).

## Documentation

You can find the Create Costro App documentation and examples on the [Costro website](https://costro.js.org/cli).

## Questions

For questions and support please use the [GitHub Discussions](https://github.com/costrojs/create-costro-app/discussions). For bug report or feature request, please use the [issues on GitHub](https://github.com/costrojs/create-costro-app/issues).<br />Pull Requests are welcome!

## Licence

[MIT](https://opensource.org/licenses/MIT)

Copyright (c) 2021-present, Yoriiis (Joris DANIEL)
